Loading...
Searching...
No Matches
column_dimension_holder.h File Reference

Contains the Gudhi::persistence_matrix::Column_dimension_holder class and Gudhi::persistence_matrix::Dummy_dimension_holder structure. More...

Go to the source code of this file.

## Classes

struct | Gudhi::persistence_matrix::Dummy_dimension_holder
| Empty structure. Inherited instead of Column_dimension_holder, when the columns are not storing a dimension. More...
class | Gudhi::persistence_matrix::Column_dimension_holder< Master_matrix >
| Class managing the dimension access of a column. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.
namespace | Gudhi::persistence_matrix
| Persistence matrix namespace.

## Detailed Description

Contains the Gudhi::persistence_matrix::Column_dimension_holder class and Gudhi::persistence_matrix::Dummy_dimension_holder structure.

Author
  Hannah Schreiber